@charset "UTF-8";
.navbar .btn-outline-light:hover {
  color: var(--bs-dark);
}

  @media (min-width: 768px) {
    .quinta-sao-jose {
      font-size: 3.5rem;
    }
  }
  
  @media (max-width: 767px) {
    .quinta-sao-jose {
      font-size: 2.6rem;
    }
  }


.header {
  position: relative;
    overflow: hidden; /* Para garantir que apenas uma imagem seja visível por vez */
}

.header::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-size: cover;
  /*filter: brightness(90%);*/
  z-index: -1;
  animation: slide 22s infinite; /* 10s é a duração da animação, você pode ajustar conforme necessário */
}




@keyframes slide {
  0%, 100% { background-image: url("../images2/header_images/imagem2.jpg"); }
  30% { background-image: url("../images2/header_images/imagem3.jpg"); }
  50% { background-image: url("../images2/header_images/imagem5.jpg"); }
  80% { background-image: url("../images2/header_images/imagem4.jpg"); }
}



    /* Estilo para o fundo do slider e do cabeçalho */
    .background {
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background-size: cover;
      filter: brightness(40%);
      z-index: -1; /* Certifica-se de que o fundo esteja atrás de todos os outros elementos */
    }



.navbar {
  transition: all 0.5s ease-in-out;
}

.navbar-sticky {
  opacity: 0.9;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}




.header2 {
  position: relative;
}

.header2::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: url("../images/hotel/quarto01.jpg") no-repeat center;
  background-size: cover;
  filter: brightness(50%);
  z-index: -1; /* Certifica-se de que o pseudo-elemento está atrás do conteúdo */
}



.header3 {
  position: relative;
}

.header3::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: url("../images/hotel/camera.jpg") no-repeat center;
  background-size: cover;
  filter: brightness(50%);
  z-index: -1; /* Certifica-se de que o pseudo-elemento está atrás do conteúdo */
}

blockquote {
  font-family: Georgia, serif;
  font-size: 18px;
  font-style: italic;
  width: 500px;
  margin: 0.25em 0;
  padding: 0.35em 40px;
  line-height: 1.45;
  position: relative;
  color: #383838;
}

blockquote:before {
  display: block;
  padding-left: 10px;
  content: "“";
  font-size: 80px;
  position: absolute;
  left: -20px;
  top: -20px;
  color: #7a7a7a;
}

blockquote cite {
  color: #999999;
  font-size: 14px;
  display: block;
  margin-top: 5px;
}

blockquote cite:before {
  content: "— ";
}

.map iframe {
  left: 0;
  top: 0;
  height: 600px;
  width: 95%;
  border: none;
}

.hr-heading {
  display: inline-block;
  width: 3.5rem;
  height: 0.125rem;
  margin-top: 0.625rem;
  border: none;
  background-color: var(--bs-primary);
  opacity: 1;
}

.hr-title {
  display: inline-block;
  width: 8.5rem;
  height: 0.125rem;
  margin-top: 0.625rem;
  border: none;
  background-color: var(--bs-primary);
  opacity: 1;
}

.project:hover {
  transform: scale(1.05);
  transition: all 0.5s ease-in-out;
  opacity: 0.8;
}

.video-play-button {
  position: absolute;
  z-index: 10;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 32px;
  height: 44px;
  border-radius: 50%;
  display: block;
  box-sizing: content-box;
  padding: 1.125rem 1.25rem 1.125rem 1.75rem;
  cursor: pointer;
}

.video-play-button:before {
  content: "";
  position: absolute;
  z-index: 0;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 76px;
  height: 76px;
  border-radius: 50%;
  display: block;
  background: var(--bs-primary);
  cursor: pointer;
  animation: pulse-border 1500ms ease-in-out infinite;
}

.video-play-button:after {
  content: "";
  position: absolute;
  z-index: 1;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 70px;
  height: 70px;
  border-radius: 50%;
  display: block;
  background: var(--bs-primary);
  cursor: pointer;
  transition: all 200ms;
}

@keyframes pulse-border {
  0% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
    opacity: 1;
  }
  100% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
    opacity: 0;
  }
}
.video-play-button span {
  position: relative;
  display: block;
  z-index: 3;
  top: 6px;
  left: 4px;
  width: 0;
  height: 0;
  border-left: 26px solid #fff;
  border-top: 16px solid transparent;
  border-bottom: 16px solid transparent;
}

.video-modal .modal-dialog {
  max-width: 1150px;
  margin-top: 50px;
}

.sliderimage {
  height: 600px !important;
  min-height: 200px !important;
}

.sliderimage .slide {
  width: 50%;
  margin: 0 auto;
}

.dropdown:hover .dropdown-menu {
  display: block;
}

.dropdown-menu {
  padding: 0;
  border: none;
  border-radius: 5;
  background-color: #2b3041;
  opacity: 0.9;
}

.dropdown-menu .dropdown-item {
  padding: 10px 15px;
  color: #f2f2f2;
}

.dropdown-menu :hover {
  color: #2b3041;
}

/* Estilos adicionais para centralizar o spinner */
.spinner-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh; /* Definindo a altura para ocupar toda a tela */
  position: fixed; /* Tornando o spinner fixo */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.1); /* Adicionando um fundo semi-transparente para o spinner */
  z-index: 9999; /* Garantindo que o spinner esteja sempre acima do conteúdo */
}

/* Estilo inicial do texto */
.text-container h1, .roles {
  opacity: 0; /* Inicialmente, o texto estará transparente */
  transform: translateY(30px); /* Inicialmente, o texto estará posicionado um pouco abaixo */
  transition: opacity 1s ease-in-out, transform 1s ease-in-out; /* Adicionando transição */
}

/* Estilo para mostrar o texto */
.show-text .text-container h1, .show-text .roles {
  opacity: 1; /* Tornando o texto visível */
  transform: translateY(0); /* Movendo o texto para a posição correta */
}

.botaobooking {
  opacity: 0; /* Inicialmente, o texto estará transparente */
  transform: scale(0.8); /* Inicialmente, o texto estará em uma escala menor */
  transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out; /* Adicionando transição */
}

/* Estilo para mostrar o texto dentro do botão */
.show-button .botaobooking {
  opacity: 1; /* Tornando o texto visível */
  transform: scale(1); /* Voltando o texto ao tamanho original */
}

/* Estilo inicial das imagens */
.imagem-container {
  opacity: 0; /* Inicialmente, a imagem estará transparente */
  transform: translateY(60px); /* Inicialmente, a imagem estará fora da tela à direita */
  transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out; /* Adicionando transição */
}

/* Estilo para mostrar as imagens */
.show-image {
  opacity: 1; /* Tornando a imagem visível */
  transform: translateY(0); /* Movendo a imagem para a posição correta */
}

/* Estilo inicial do texto */
.roles2 {
  opacity: 0; /* Inicialmente, o texto estará transparente */
  transition: opacity 0.5s ease-in-out; /* Adicionando transição */
}

/* Estilo para mostrar o texto */
.show-roles2 {
  opacity: 1; /* Tornando o texto visível */
}







/*Estilo reserva botões*/


        .gradient-button {
            display: inline-block;
            padding: 12px 24px;
            font-size: 16px;
            font-weight: bold;
            color: white;
            text-decoration: none;
            border-radius: 8px;
            box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
            transition: all 0.3s ease;
            text-align: center;
            margin: 5px;
        }

        .main-button {
            background: tomato;
        }

        .link-button {
            background: none;
            color: #007bff;
            border: none;
            padding: 0;
            font-size: 16px;
            text-decoration: underline;
            cursor: pointer;
            transition: color 0.3s ease;
            margin: 0 10px;
        }

        .link-button:hover {
            color: #0056b3;
        }

        .gradient-button:hover {
            transform: translateY(-2px);
            box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.3);
        }

        .links-container {
            display: flex;
            justify-content: left;
            align-items: center;
        }







